Name:          spice-protocol
Version:       0.14.5
Release:       1mamba
Summary:       Headers defining protocols of the Spice project
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.spice-space.org/
Source:        http://www.spice-space.org/download/releases/spice-protocol-%{version}.tar.xz
License:       GPL, LGPL, BSD
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
The Spice project aims to provide a complete open source solution for interaction with virtualized desktop devices.The Spice project deals with both the virtualized devices and the front-end. Interaction between front-end and back-end is done using VD-Interfaces. The VD-Interfaces (VDI) enable both ends of the solution to be easily utilized by a third-party component.
This package provides the headers defining protocols.

%package devel
Group:         Development/Libraries
Summary:       Headers defining protocols of the Spice project

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%dir %{_includedir}/spice-1
%dir %{_includedir}/spice-1/spice
%{_includedir}/spice-1/spice/*.h
%{_datadir}/pkgconfig/spice-protocol.pc

%changelog
* Fri May 02 2025 Automatic Build System <autodist@openmamba.org> 0.14.5-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- update to 0.14.2

* Sun Mar 15 2020 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Sat Mar 09 2019 Automatic Build System <autodist@mambasoft.it> 0.12.15-1mamba
- automatic version update by autodist

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 0.12.14-1mamba
- automatic version update by autodist

* Sun Oct 08 2017 Automatic Build System <autodist@mambasoft.it> 0.12.13-1mamba
- automatic version update by autodist

* Fri Sep 23 2016 Automatic Build System <autodist@mambasoft.it> 0.12.12-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 0.12.11-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 0.12.10-1mamba
- automatic version update by autodist

* Thu Aug 27 2015 Automatic Build System <autodist@mambasoft.it> 0.12.9-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 0.12.8-1mamba
- automatic version update by autodist

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 0.12.7-1mamba
- automatic version update by autodist

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.6-1mamba
- package created using the webbuild interface
